description

# Cursor class Null safety

Implementers
  - CursorWithValue
Annotations
  - @Unstable()
  - @Native("IDBCursor")

## Properties

direction → String?
  read-only
hashCode → int
  The hash code for this object. [...]
  read-only, inherited
key → Object?
  @_annotation_Creates_IDBKey, @_annotation_Returns_IDBKey, read-only
primaryKey → Object?
  @_annotation_Creates_IDBKey, @_annotation_Returns_IDBKey, read-only
runtimeType → Type
  A representation of the runtime type of the object.
  read-only, inherited
source → Object?
  @Creates('Null'), @Returns('ObjectStore|Index|Null'), read-only

## Methods

advance(int count) → void
continuePrimaryKey(Object key, Object primaryKey) → void
delete() → Future
next([Object? key]) → void
  @JSName('continue')
noSuchMethod(Invocation invocation) → dynamic
  Invoked when a non-existent method or property is accessed. [...]
  inherited
toString() → String
  Returns a string representation of this object.
  inherited
update(dynamic value) → Future

## Operators

operator ==(Object other) → bool
  The equality operator. [...]
  inherited